package cz.moneta.test.dsl.greenscreen.ARQE;

import cz.moneta.test.harness.support.greenscreen.Builder;
import cz.moneta.test.harness.support.greenscreen.Key;
import cz.moneta.test.harness.support.greenscreen.KeyPress;
import cz.moneta.test.harness.support.greenscreen.Type;

public interface ARQE_Pages extends Builder {

    @Type(row = 1, column = 63, text = "00")
    @KeyPress(Key.ENTER)
    ARQE00_AccountEmbossinScreen toPage00();

    @Type(row = 1, column = 63, text = "02")
    @KeyPress(Key.ENTER)
    ARQE02_AccountEmbossingScreen toPage02();

    @Type(row = 1, column = 63, text = "03")
    @KeyPress(Key.ENTER)
    ARQE03_AccountEmbossingScreen toPage03();

    @Type(row = 1, column = 63, text = "43")
    @KeyPress(Key.ENTER)
    ARQE43_AccountEmbossingScreen toPage43();
}
